Đến nội dung


Hình ảnh
* * - - - 3 Bình chọn

VBA cho AutoCad-Hãy cùng tham gia trao đổi


  • Please log in to reply
53 replies to this topic

#21 phantuhuong

phantuhuong

    biết dimstyle

  • Moderator
  • PipPipPipPipPip
  • 383 Bài viết
Điểm đánh giá: 200 (khá)

Đã gửi 10 September 2013 - 11:47 AM

Chủ đề này cũng từng có rồi. Các bạn cứ phát triển nhé!


  • 0
Bồi dưỡng Excel & VBA cho các đơn vị ở Hà Nội và khu vực lân cận

Từng bước loại đồ Tàu ra khỏi cuộc sống!


#22 HungDHXD

HungDHXD

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 10 September 2013 - 03:40 PM

Chủ đề này cũng từng có rồi. Các bạn cứ phát triển nhé!

bạn có thể gửi link của các chủ đề "đã từng có " này không ? để mọi người cùng tham khảo!


  • 0

#23 HungDHXD

HungDHXD

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 10 September 2013 - 03:44 PM

Gửi mọi người chương 6 - "Một Số Hàm Nhập Dữ Liệu "do mình tham khảo từ các sách khác nhau viết ra.Mong mọi người góp ý.

Thanks and Best Regardshttp://www.cadviet.c...hàm_nhp_liu.pdf

Tài liệu rất có ích --> thanks bạn vì điều này !!!


  • 0

#24 dinhvantrang

dinhvantrang

    biết lệnh copy

  • Members
  • PipPipPip
  • 117 Bài viết
Điểm đánh giá: 26 (tàm tạm)

Đã gửi 13 September 2013 - 10:03 AM

Gửi mọi người chủ đề "Làm Việc với đối tượng SelectionSet" trong VBA, hy vọng nó sẽ hữu ích cho anh em.

http://www.cadviet.c...electionset.pdf


  • 1

Thanks and Best Regards

Skype : dinhvantrang73


#25 HungDHXD

HungDHXD

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 13 September 2013 - 02:26 PM


 

Gửi mọi người chủ đề "Làm Việc với đối tượng SelectionSet" trong VBA, hy vọng nó sẽ hữu ích cho anh em.

http://www.cadviet.c...electionset.pdf

Trong file bạn có ghi 1 đoạn code thêm mói 1 đối tượng selectionsets:---> theo mình viết như thế này gọn hơn:


Sub Ex_Addselectionset()
    Dim ssetObj As AcadSelectionSet
    On Error Resume Next
    With ThisDrawing.SelectionSets
        .Item("Kira").Delete
        Set ssetObj = .Add("Kira")
    End With
End Sub

Bài viết đã được chỉnh sửa nội dung bởi HungDHXD: 13 September 2013 - 02:27 PM

  • 1

#26 dinhvantrang

dinhvantrang

    biết lệnh copy

  • Members
  • PipPipPip
  • 117 Bài viết
Điểm đánh giá: 26 (tàm tạm)

Đã gửi 13 September 2013 - 04:56 PM

Trong file bạn có ghi 1 đoạn code thêm mói 1 đối tượng selectionsets:---> theo mình viết như thế này gọn hơn:

Cảm ơn sự góp ý của bạn.Việc tạo mới đối tượng SelectionSet đúng là có rất nhiều cách thức để tạo.Cách của bạn đúng là ngắn gọn và súc tích.

Mình sẽ bổ sung vào trong giáo trình của mình.

Chúc bạn vui vẻ!


  • 0

Thanks and Best Regards

Skype : dinhvantrang73


#27 tuantrinh89

tuantrinh89

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 October 2013 - 09:24 AM

Tiện đây em xin hỏi ở đây có bác nào quan tâm đến thuật toán tạo lưới tam giác delaunay không ạ, bác nào đã từng làm rồi chỉ dạy cho em đôi điều với.

Giả dụ mình có 1 file txt chứa tọa độ điểm, sau khi đã phun lên được màn hình cad để thành các điểm, vậy làm thế nào để tạo được lưới tam giác delaunay từ những điểm này nhỉ? 


  • 0

#28 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 05 November 2013 - 10:29 PM

mình mời học VBA nên chưa rành lắm. cho mình hỏi tí.

làm sao để lấy dữ liệu từ textbox ra để xử lí. mình đã làm thử 1 chương trình nhưng ko thể nhập đc dữ liệu khi chạy chương trình. ai biết chỉ giúp với nhé.

mình đã thử VBA trong exel và ko bị gì. nhập dữ liệu vào textbox bt nhưng VBA trong CAD thì ko đc.


  • 0

#29 dinhvantrang

dinhvantrang

    biết lệnh copy

  • Members
  • PipPipPip
  • 117 Bài viết
Điểm đánh giá: 26 (tàm tạm)

Đã gửi 09 November 2013 - 11:12 AM

Bạn đưa đoạn Code đó lên coi sao nhé


  • 0

Thanks and Best Regards

Skype : dinhvantrang73


#30 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 10 November 2013 - 05:03 PM

code nào cũng vậy thôi bạn. mình thử tạo 1 userform khác, hoặc 1 project khác. tạo 1 textbox, và cho Run luôn. nhưng lỗi cũng bị thế. bấm mãi mới ra đc 1 chữ. ko biết có phải do CAD ko. mình thử 2 máy đều bị vậy. xài CAD 2011 64 bits.


  • 0

#31 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 11 November 2013 - 09:45 AM

code nào cũng vậy thôi bạn. mình thử tạo 1 userform khác, hoặc 1 project khác. tạo 1 textbox, và cho Run luôn. nhưng lỗi cũng bị thế. bấm mãi mới ra đc 1 chữ. ko biết có phải do CAD ko. mình thử 2 máy đều bị vậy. xài CAD 2011 64 bits.

Tôi ít sài VBA, nhưng nhiều khả năng do bản CAD 64bits.

Các bản CAD 32 bit chạy VBA bình thường.


  • 1

#32 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 13 November 2013 - 08:36 PM

giờ mình chuyển sang xài CAD 2007. thấy ok. thanks bạn nhé.


  • 0

#33 baby_ant403

baby_ant403

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 November 2013 - 10:05 AM

Nhờ Anh Em giúp mình với :

Mình vừa chuyển đổi file Exell sang Autocad Electrical . Khong biết có cách nào để tự động chuyển text sang ô màu xanh không ?xin giúp E với

http://www.cadviet.c...battery_box.dwg


  • 0

#34 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 03 December 2013 - 08:59 AM

mình có 1 đoạn code add text như bên dưới. làm thế nào để đổi font của nó nhỉ. vd mình muốn đổi font nó sang Arial.



Sub AddMtext()

Dim MTextObj As AcadMText
Dim point(0 To 2) As Double
Dim width As Double
Dim text As String
point(0) = 0#: point(1) = 10#: point(2) = 0#
width = 10
text = "ABC"

Set MTextObj = ThisDrawing.ModelSpace.AddMText(point, width, text)
ZoomAll

End Sub
  • 0

#35 HungDHXD

HungDHXD

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 05 December 2013 - 03:27 PM

mình có 1 đoạn code add text như bên dưới. làm thế nào để đổi font của nó nhỉ. vd mình muốn đổi font nó sang Arial.



Sub AddMtext()

Dim MTextObj As AcadMText
Dim point(0 To 2) As Double
Dim width As Double
Dim text As String
point(0) = 0#: point(1) = 10#: point(2) = 0#
width = 10
text = "ABC"

Set MTextObj = ThisDrawing.ModelSpace.AddMText(point, width, text)
ZoomAll

End Sub

Dùng thuộc tính Height của đối tượng acadMtext ví dụ

Sub Addmtext()
    Dim mtxt As AcadMText
        With ThisDrawing
            p1 = .Utility.GetPoint()
            Set mtxt = .ModelSpace.Addmtext(p1, 10, "ABC")
            mtxt.Height = 100
        End With
End Sub

  • 0

#36 khuathoangthuy

khuathoangthuy

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 05 December 2013 - 03:54 PM

Nếu là Autocad đã có ngôn ngữ lisp. Còn dùng VBA sao không dùng cho Solidwork?

Mình cũng phải làm việc với bản vẽ 3D nhiều mà có nhiều cái lặp lại mà không biết cách tạo marco cho solidwork.

Mà autolisp cho cad là quá đủ rồi sao còn phải dùng VBA?


  • 0

#37 HungDHXD

HungDHXD

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 06 December 2013 - 08:49 AM

Nếu là Autocad đã có ngôn ngữ lisp. Còn dùng VBA sao không dùng cho Solidwork?

Mình cũng phải làm việc với bản vẽ 3D nhiều mà có nhiều cái lặp lại mà không biết cách tạo marco cho solidwork.

Mà autolisp cho cad là quá đủ rồi sao còn phải dùng VBA?

Không thể so sánh Lisp với VBA được : Lisp chỉ là 1 ngôn ngữ thông dịch , còn VBA là ngôn ngữ lập trình theo hướng đối tượng ==> nói đến đây nếu bạn có thể hiểu ưu điểm và nhược điểm của tứng cái rồi đúng không ???


  • 0

#38 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 06 December 2013 - 05:31 PM

Dùng thuộc tính Height của đối tượng acadMtext ví dụ

Sub Addmtext()
    Dim mtxt As AcadMText
        With ThisDrawing
            p1 = .Utility.GetPoint()
            Set mtxt = .ModelSpace.Addmtext(p1, 10, "ABC")
            mtxt.Height = 100
        End With
End Sub

thuộc tính height chỉ thay đổi chiều cao text thôi. ko thay đổi font. mình muốn font nó thay đổi thành một font khác, theo cách làm bằng tay thì thay đổi mặc định của CAD, nhưng mình muốn thay đổi bằng phần mềm.
  • 0

#39 HoaVien

HoaVien

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 06 December 2013 - 06:12 PM

dùng : mtxt.StyleName = "Text_Style"


  • 0

#40 nguyenvanhai2210

nguyenvanhai2210

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 December 2013 - 07:01 PM

mình có vấn đề này mong mọi người giúp đỡ..mình cài cad 2007, sau khi cài xong nó hiện lên là giấy phép hết hạn..trước đó mình co tự down 1 bản cad về xài nhưng chưa có crack...ai biết cách nào khắc phục giúp mình với,,tks all


  • 0